Package ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel

# Class AbonentReport

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.voice.server.bean.operator.Report
ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel.SovintelReport
ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel.AbonentReport

public class AbonentReport extends SovintelReport

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.server.bean.operator.Report

  `cache, month, oper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbonentReport(Sovintel operator, Date month, int id, boolean changes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getData(Connection con, OutputStream out)`
  `String`
  `getFileName()`
  `String`
  `getTitle()`
  `int`
  `getType()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel.SovintelReport

  `getOperCode`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.server.bean.operator.Report

  `getId, getJasperReport, sendJasperReport`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbonentReport

    public AbonentReport(Sovintel operator, Date month, int id, boolean changes)

- ## Method Details

  - ### getData

    public void getData(Connection con, OutputStream out)
    Specified by:
      `getData` in class `Report`

  - ### getFileName

    public String getFileName()
    Specified by:
      `getFileName` in class `Report`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in class `Report`

  - ### getType

    public int getType()
    Specified by:
      `getType` in class `Report`